Bug 129359 - [NEW PORT]games/Xword: a crossword-solving application
Summary: [NEW PORT]games/Xword: a crossword-solving application
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-02 02:20 UTC by bf
Modified: 2008-12-06 23:40 UTC (History)
0 users

See Also:


Attachments
file.shar (2.65 KB, text/plain)
2008-12-02 02:20 UTC, bf
no flags Details
xwordpy.shar.txt (2.72 KB, text/plain)
2008-12-04 10:23 UTC, bf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2008-12-02 02:20:00 UTC
A pygtk2-powered crossword-solving application for puzzles in the Across Lite
format.  This is not to be confused with the older ports games/xword, which
has a similar functionality, but uses GNOME1 components.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-12-02 02:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2008-12-04 05:12:38 UTC
State Changed
From-To: open->feedback

I would really like to see the name of this one changed.  Both myself 
and portsmon are confused by having two ports of similar names, 
games/xword and games/Xword.
Comment 3 bf 2008-12-04 06:37:27 UTC
--- On Thu, 12/4/08, linimon@FreeBSD.org <linimon@FreeBSD.org> wrote:

> From: linimon@FreeBSD.org <linimon@FreeBSD.org>
> Subject: Re: ports/129359: [NEW PORT]games/Xword: a crossword-solving application
> To: bf2006a@yahoo.com, linimon@FreeBSD.org, miwi@FreeBSD.org
> Date: Thursday, December 4, 2008, 12:13 AM
> Synopsis: [NEW PORT]games/Xword: a crossword-solving
> application
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: linimon
> State-Changed-When: Thu Dec 4 05:12:38 UTC 2008
> State-Changed-Why: 
> I would really like to see the name of this one changed. 
> Both myself
> and portsmon are confused by having two ports of similar
> names,
> games/xword and games/Xword.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=129359


I can understand your request, and am open to another choice.  I was
hesitant to call it Xword, but I wasn't sure what would be an acceptable
alternative.  It's called "Xword" in the description at the project website
(which uses "x-word" in the URL), and the distfile and bundled script
name use "xword".  What alternative name would you suggest?

Regards,
          b.
Comment 4 Mark Linimon 2008-12-04 07:05:27 UTC
I don't think there is an excellent choice, but with N million open-
source projects out there, there are bound to be conflicts.

I could live with x-word.

mcl
Comment 5 bf 2008-12-04 07:44:01 UTC
--- On Thu, 12/4/08, Mark Linimon <linimon@lonesome.com> wrote:

> I don't think there is an excellent choice, but with N
> million open-
> source projects out there, there are bound to be conflicts.
> 
> I could live with x-word.
> 

That's a reasonable choice.  What do you think of pyxword, to suggest it's
dependency on pygtk?  Better?  Or do you prefer x-word?

b.
Comment 6 bf 2008-12-04 07:44:05 UTC
--- On Thu, 12/4/08, Mark Linimon <linimon@lonesome.com> wrote:

> I don't think there is an excellent choice, but with N
> million open-
> source projects out there, there are bound to be conflicts.
> 
> I could live with x-word.
> 

That's a reasonable choice.  What do you think of pyxword, to suggest it's
dependency on pygtk?  Better?  Or do you prefer x-word?

b.
Comment 7 bf 2008-12-04 10:23:37 UTC
Okay, the port's new linimoniker is xwordpy, in the tradition of 
numpy, scipy, scapy, etc.  I don't recommend eating it though, because
it may get stuck between your teeth.  I've attached a refashioned shar.


      
Comment 8 Martin Wilke freebsd_committer 2008-12-06 23:35:45 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 9 dfilter service freebsd_committer 2008-12-06 23:36:14 UTC
miwi        2008-12-06 23:36:01 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/xwordpy        Makefile distinfo pkg-descr 
    games/xwordpy/files  patch-xword 
  Log:
  xwordpy (also know as Xword) is a PyGTK-powered
  application with a GUI that allows users to open,
  solve, and print Across Lite puzzle format files.
  
  WWW: http://x-word.org/
  
  PR:             ports/129359
  Submitted by:   bf2006a at yahoo.com
  
  Revision  Changes    Path
  1.1252    +1 -0      ports/games/Makefile
  1.1       +40 -0     ports/games/xwordpy/Makefile (new)
  1.1       +3 -0      ports/games/xwordpy/distinfo (new)
  1.1       +11 -0     ports/games/xwordpy/files/patch-xword (new)
  1.1       +5 -0      ports/games/xwordpy/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"